package org.springblade.device.feign;

import org.springblade.device.entity.ElectricMeterStatic;
import org.springblade.device.vo.ElectricMeterStaticVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElectricMeterStaticClientFallback implements IElectricMeterStaticClient {
            /**
         * 详情
         */
        @Override
        public ElectricMeterStaticVO detail(ElectricMeterStatic electricMeterStatic) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<ElectricMeterStaticVO> list(ElectricMeterStatic electricMeterStatic) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( ElectricMeterStatic electricMeterStatic) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( ElectricMeterStatic electricMeterStatic) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( ElectricMeterStatic electricMeterStatic) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
